## kdevelop 3.3.5

=== CMakeLists.txt ===
PROJECT(kdevelop)

INCLUDE(${CMAKE_SOURCE_DIR}/cmake/KDE.cmake)

INCLUDE(${CMAKE_SOURCE_DIR}/cmake/KDEMacros.cmake)

INCLUDE(${CMAKE_SOURCE_DIR}/cmake/LibtoolFake.cmake)

INCLUDE(${CMAKE_SOURCE_DIR}/cmake/KDEMagic.cmake)

SET(CMAKE_SKIP_RULE_DEPENDENCY 1)
SET(CMAKE_VERBOSE_MAKEFILE ON)

#create config.h and do other system checks
INCLUDE(ConfigureChecks.cmake)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/lib/interfaces ${CMAKE_CURRENT_SOURCE_DIR}/lib/util)

EXEC_PROGRAM(cmake ARGS -E copy ${CMAKE_SOURCE_DIR}/admin/install-sh ${CMAKE_SOURCE_DIR})
EXEC_PROGRAM(cmake ARGS -E copy ${CMAKE_SOURCE_DIR}/admin/config.sub ${CMAKE_SOURCE_DIR})
EXEC_PROGRAM(cmake ARGS -E copy ${CMAKE_SOURCE_DIR}/admin/config.guess ${CMAKE_SOURCE_DIR})

SUBDIRS( bdb lib parts languages buildtools editors vcs src)
# pics doc mimetypes embedded kdevdesigner )



#original Makefile.am contents follow:

#SUBDIRS = bdb lib parts languages buildtools editors vcs src pics doc mimetypes embedded kdevdesigner
#
#EXTRA_DIST = AUTHORS COPYING COPYING.LIB NEWS ChangeLog INSTALL README TODO HACKING HACKING.language admin configure.in.bot
#
#xdg_apps_DATA = kdevelop.desktop kdevassistant.desktop kdevelop_ruby.desktop \
#	kdevelop_c_cpp.desktop  kdevelop_kde_cpp.desktop  kdevelop_scripting.desktop
##appsdir = $(kde_appsdir)/Development
#
#xdg_directory_DATA = kde-development-kdevelop.directory
#
#mime_DATA = x-kdevelop.desktop
#mimedir = $(kde_mimedir)/application
#
#kde_bin_SCRIPTS = kdevprj2kdevelop
#
#install-data-local:
#	@echo ""
#	@echo ""
#	@echo "******************* Important *********************"
#	@echo ""
#	@echo "KDevelop $(VERSION) has been installed."
#	@echo ""
#	@echo "***************************************************"
#
#$(top_srcdir)/acinclude.m4: $(top_srcdir)/kdevelop.m4.in
#
#MAINTAINERCLEANFILES = subdirs configure.in acinclude.m4 configure.files
#
#package-messages:
#	$(MAKE) -f $(top_srcdir)/admin/Makefile.common package-messages
#	$(MAKE) -C po merge
#
#dist-hook:
#	cd $(top_distdir) && perl admin/am_edit -padmin
#	cd $(top_distdir) && $(MAKE) -f admin/Makefile.common subdirs
#
#messages:
#	find . -type d | grep -v CVS | sed -e 's,$$,/,' > dirs
#	mfs=`find . -name Makefile.am | xargs egrep -l '^messages:'` ;\
#	for dir in $$mfs; do \
#	  if test ! "$$dir" = "./Makefile.am"; then \
#	    dir=`dirname $$dir` ;\
#	    egrep -v "^$$dir" dirs > dirs.new && mv dirs.new dirs ;\
#	  fi ;\
#	done
#	dirs=`cat dirs` ;\
#	find $$dirs -maxdepth 1 -name "*.cpp" -print > files ;\
#	find $$dirs -maxdepth 1 -name "*.cc" -print >> files ;\
#	$(EXTRACTRC) `find $$dirs -maxdepth 1 -name "*.rc"` > rc.cpp	;\
#	$(EXTRACTRC) `find $$dirs -maxdepth 1 -name "*.ui"` >> rc.cpp    ;\
#	$(XGETTEXT) rc.cpp `cat files` -o $(podir)/kdevelop.pot
#	@rm -f rc.cpp dirs files
#
#$(top_srcdir)/Makefile.am.in: # faking
#include admin/deps.am
#
#
###
### Doxygen stuff
###
#
##DOXYGEN_INPUT = src/profileengine lib buildtools/projectmanager/interfaces doc/api
##DOXYGEN_INPUT = lib/interfaces
#
### Exclude the application wizard templates, and some file templates
##DOXYGEN_EXCLUDE = languages/ada/app_templates languages/cpp/app_templates languages/cpp/file_templates languages/cpp/subclassing_template languages/fortran/app_templates languages/haskell/app_templates languages/java/app_templates languages/pascal/app_templates languages/perl/app_templates languages/php/app_templates languages/python/app_templates languages/ruby/app_templates languages/sql/app_templates *face_skel.cpp *.ui.h lib/qextmdi vcs/cvsclient
#
##DOXYGEN_EXAMPLE_PATH = languages/cpp/app_templates/khello languages/cpp/app_templates/kdevpart
#
### Use KDE Libs tag files
##DOXYGEN_LINK_WITH_KDE_QT_APIDOX = YES
##DOXYGEN_REFERENCES = dcop interfaces kdecore kdefx kdeui khtml kmdi kio kjs kparts kutils
#
### Use Search engine (Versions 1.3.4 and above only!)
#DOXYGEN_SEARCHENGINE = YES
#DOXYGEN_EMPTY = YES
#DOXYGEN_PROJECTNAME = KDevelop Platform API
#include Doxyfile.am

=== doc/tools/CMakeLists.txt ===


#original Makefile.am contents follow:

#EXTRA_DIST = index-texi index-python index.xsl \
#	     toc-gsdoc toc-docbook toc-python
#
#

#######################
#previous CMakeLists.txt contents follow:

=== kdevdesigner/uilib/CMakeLists.txt ===
SET(kdevqui_STAT_SRCS
database.cpp
qwidgetfactory.cpp
)

KDE_AUTOMOC(${kdevqui_STAT_SRCS})

ADD_LIBRARY(kdevqui STATIC ${kdevqui_STAT_SRCS})



#original Makefile.am contents follow:

#KDE_CXXFLAGS=-UQT_NO_ASCII_CAST
#
#INCLUDES = -I$(top_srcdir)/kdevdesigner/shared $(all_includes)
#METASOURCES = AUTO
#
#noinst_LTLIBRARIES =  libkdevqui.la
#libkdevqui_la_SOURCES =  database.cpp qwidgetfactory.cpp
#
#libkdevqui_la_LDFLAGS = $(all_libraries)

#######################
#previous CMakeLists.txt contents follow:

=== parts/filter/CMakeLists.txt ===
SET(kdevfilter_PART_SRCS
filterpart.cpp
shellfilterdlg.cpp
shellinsertdlg.cpp
kdevfilterIface.cpp
)

SET( kdevfilter_DCOP_SRCS
kdevfilterIface.h
)

KDE_AUTOMOC(${kdevfilter_PART_SRCS})

KDE_ADD_DCOP_SKELS(kdevfilter_PART_SRCS ${kdevfilter_DCOP_SRCS})

ADD_LIBRARY(kdevfilter MODULE ${kdevfilter_PART_SRCS})

TARGET_LINK_LIBRARIES(kdevfilter ${KDEV_PART_LIBS} DCOP)

KDE_CREATE_LIBTOOL_FILE(kdevfilter)

INSTALL_TARGETS(/lib/kde3 kdevfilter)

INSTALL_FILES(/share/servicetypes FILES kdevfilter.desktop)
INSTALL_FILES(/share/apps/kdevfilter FILES kdevfilter.rc)

#original Makefile.am contents follow:

## Here resides the filter part
#
#INCLUDES = -I$(top_srcdir)/lib/interfaces 	   -I$(top_srcdir)/lib/util 	   $(all_includes)
#
#kde_module_LTLIBRARIES = libkdevfilter.la
#libkdevfilter_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
#libkdevfilter_la_LIBADD = $(top_builddir)/lib/libkdevelop.la
#
#libkdevfilter_la_SOURCES = filterpart.cpp shellfilterdlg.cpp shellinsertdlg.cpp kdevfilterIface.cpp kdevfilterIface.skel
#
#METASOURCES = AUTO
#
#servicedir = $(kde_servicesdir)
#service_DATA = kdevfilter.desktop
#
#rcdir = $(kde_datadir)/kdevfilter
#rc_DATA = kdevfilter.rc

=== parts/valgrind/CMakeLists.txt ===
SET(kdevvalgrind_PART_SRCS
valgrind_part.cpp
valgrind_widget.cpp
valgrind_dialog.cpp
valgrinditem.cpp
)

SET( kdevvalgrind_UI
dialog_widget.ui
)

KDE_AUTOMOC(${kdevvalgrind_PART_SRCS})

KDE_ADD_UI_FILES(kdevvalgrind_PART_SRCS ${kdevvalgrind_UI} )

ADD_LIBRARY(kdevvalgrind MODULE ${kdevvalgrind_PART_SRCS})

TARGET_LINK_LIBRARIES(kdevvalgrind ${KDEV_PART_LIBS})

KDE_CREATE_LIBTOOL_FILE(kdevvalgrind)

INSTALL_TARGETS(/lib/kde3 kdevvalgrind)


#original Makefile.am contents follow:

#INCLUDES = -I$(top_srcdir)/lib/interfaces -I$(top_srcdir)/lib/util $(all_includes)
#
#kde_module_LTLIBRARIES = libkdevvalgrind.la
#libkdevvalgrind_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
#libkdevvalgrind_la_LIBADD = $(top_builddir)/lib/libkdevelop.la
#
#libkdevvalgrind_la_SOURCES = dialog_widget.ui valgrind_part.cpp valgrind_widget.cpp valgrind_dialog.cpp valgrinditem.cpp
#
#METASOURCES = AUTO
#
#servicedir = $(kde_servicesdir)
#service_DATA = kdevvalgrind.desktop
#
#rcdir = $(kde_datadir)/kdevvalgrind
#rc_DATA = kdevpart_valgrind.rc

#######################
#previous CMakeLists.txt contents follow:

#SET(kdevvalgrind_PART_SRCS
#valgrind_part.cpp
#valgrind_widget.cpp
#valgrind_dialog.cpp
#valgrinditem.cpp
#)
#
#KDE_AUTOMOC(${kdevvalgrind_PART_SRCS})
#
#SET( kdevvalgrind_UI
#dialog_widget.ui
#)
#
#KDE_ADD_UI_FILES(kdevvalgrind_PART_SRCS ${kdevvalgrind_UI} )
#
#ADD_LIBRARY(kdevvalgrind SHARED ${kdevvalgrind_PART_SRCS})
#

=== languages/cpp/app_templates/CMakeLists.txt ===
SUBDIRS( kapp kpartapp kpartplugin kcmodule kicker kioslave kdevpart kdevpart2 chello cpphello gnomeapp kscreensaver kofficepart chello_gba dcopservice konqnavpanel qmakesimple qmakeapp khello khello2 kateplugin kateplugin2 qtopiaapp kdedcop wxhello cppsdlhello kdevlang noatunvisual noatunui kbearplugin kbearimportfilter kmod kfileplugin clanlib opieapp opieapplet opieinput opiemenu opienet opietoday kxt gtk2mmapp cppcurseshello win32hello win32gui cmakesimple cmakesimplec cmakelibcpp cmakelibc )



#original Makefile.am contents follow:

#SUBDIRS = kapp kpartapp kpartplugin kcmodule kicker kioslave kdevpart kdevpart2 chello cpphello gnomeapp kscreensaver kofficepart chello_gba dcopservice konqnavpanel qmakesimple qmakeapp khello khello2 kateplugin kateplugin2 qtopiaapp kdedcop wxhello cppsdlhello kdevlang noatunvisual noatunui kbearplugin kbearimportfilter kmod kfileplugin clanlib opieapp opieapplet opieinput opiemenu opienet opietoday kxt gtk2mmapp cppcurseshello win32hello win32gui cmakesimple cmakesimplec cmakelibcpp cmakelibc
#
#profilescdir = $(kde_datadir)/kdevelop/profiles/IDE/CompiledLanguageIDE/CandCppIDE/CIDE
#profilesc_DATA = c.appwizard
#
#profilescppdir = $(kde_datadir)/kdevelop/profiles/IDE/CompiledLanguageIDE/CandCppIDE/CppIDE
#profilescpp_DATA = cpp.appwizard
#
#profileskdecppdir = $(kde_datadir)/kdevelop/profiles/IDE/CompiledLanguageIDE/CandCppIDE/CppIDE/KDECppIDE
#profileskdecpp_DATA = kdecpp.appwizard

=== languages/cpp/debugger/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/languages/lib/debugger ${CMAKE_SOURCE_DIR}/lib/interfaces ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions ${CMAKE_SOURCE_DIR}/lib/util ${CMAKE_SOURCE_DIR}/lib/widgets )

SET(kdevdebugger_PART_SRCS
debuggerpart.cpp
dbgcontroller.cpp
gdbcontroller.cpp
dbgcommand.cpp
gdbcommand.cpp
gdbparser.cpp
stty.cpp
breakpoint.cpp
variablewidget.cpp
gdbbreakpointwidget.cpp
framestackwidget.cpp
disassemblewidget.cpp
memviewdlg.cpp
dbgpsdlg.cpp
dbgtoolbar.cpp
debuggerconfigwidget.cpp
gdboutputwidget.cpp
gdbtable.cpp
)

SET( kdevdebugger_UI
debuggerconfigwidgetbase.ui
)

SET( kdevdebugger_DCOP_SRCS
debuggerdcopinterface.h
)

KDE_AUTOMOC(${kdevdebugger_PART_SRCS})

KDE_ADD_UI_FILES(kdevdebugger_PART_SRCS ${kdevdebugger_UI} )

KDE_ADD_DCOP_SKELS(kdevdebugger_PART_SRCS ${kdevdebugger_DCOP_SRCS})

ADD_LIBRARY(kdevdebugger MODULE ${kdevdebugger_PART_SRCS})

TARGET_LINK_LIBRARIES(kdevdebugger kdevelop DCOP kdevwidgets lang_debugger)

KDE_CREATE_LIBTOOL_FILE(kdevdebugger)

INSTALL_TARGETS(/lib/kde3 kdevdebugger)

#original Makefile.am contents follow:

## Here resides the debugger part.
#
#INCLUDES = -I$(top_srcdir)/languages/lib/debugger \
#	-I$(top_srcdir)/lib/interfaces -I$(top_srcdir)/lib/interfaces/extensions -I$(top_srcdir)/lib/util \
#	-I$(top_srcdir)/lib/widgets $(all_includes)
#
#kde_module_LTLIBRARIES = libkdevdebugger.la
#libkdevdebugger_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN)
#libkdevdebugger_la_LIBADD = $(top_builddir)/lib/libkdevelop.la $(top_builddir)/lib/widgets/libkdevwidgets.la $(LIB_KHTML) \
#	$(top_builddir)/languages/lib/debugger/liblang_debugger.la
#
#libkdevdebugger_la_SOURCES = debuggerdcopinterface.skel debuggerpart.cpp dbgcontroller.cpp gdbcontroller.cpp dbgcommand.cpp gdbcommand.cpp gdbparser.cpp stty.cpp breakpoint.cpp variablewidget.cpp gdbbreakpointwidget.cpp framestackwidget.cpp disassemblewidget.cpp memviewdlg.cpp dbgpsdlg.cpp dbgtoolbar.cpp debuggerconfigwidget.cpp debuggerconfigwidgetbase.ui gdboutputwidget.cpp gdbtable.cpp
#
#METASOURCES = AUTO
#KDE_ICON = AUTO
#
#servicedir = $(kde_servicesdir)
#service_DATA = kdevdebugger.desktop
#
#rcdir = $(kde_datadir)/kdevdebugger
#rc_DATA = kdevdebugger.rc
#noinst_HEADERS =  gdbtable.h

=== languages/cpp/newclass_templates/CMakeLists.txt ===


#original Makefile.am contents follow:

#cppsupportdatadir = ${kde_datadir}/kdevcppsupport
#newclassdir = ${cppsupportdatadir}/newclass
#
#newclass_DATA = cpp_header  cpp_source  gtk_header  gtk_source  objc_header  objc_source

=== languages/haskell/app_templates/CMakeLists.txt ===
SUBDIRS( haskellhello )



#original Makefile.am contents follow:

#SUBDIRS = haskellhello
#profilesdir = $(kde_datadir)/kdevelop/profiles/IDE/CompiledLanguageIDE/HaskellIDE
#profiles_DATA = haskell.appwizard

=== lib/interfaces/external/CMakeLists.txt ===
SET(kinterfacedesigner_LIB_SRCS
designer.cpp
)

KDE_AUTOMOC(${kinterfacedesigner_LIB_SRCS})

ADD_LIBRARY(kinterfacedesigner SHARED ${kinterfacedesigner_LIB_SRCS})

TARGET_LINK_LIBRARIES(kinterfacedesigner ${QT_AND_KDECORE_LIBS} kdeui kparts)

INSTALL_TARGETS(/lib kinterfacedesigner)

INSTALL_FILES(/include/kinterfacedesigner FILES designer.h)

#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#
#METASOURCES = AUTO
#
#kinterfacedesignerdir = $(includedir)/kinterfacedesigner
#kinterfacedesigner_HEADERS = designer.h
#
#lib_LTLIBRARIES =  libkinterfacedesigner.la
#libkinterfacedesigner_la_LDFLAGS = $(all_libraries)
#libkinterfacedesigner_la_SOURCES =  designer.cpp
#
#DOXYGEN_REFERENCES = dcop interfaces kdecore kdefx kdeui khtml kmdi kio kjs kparts kutils
#DOXYGEN_PROJECTNAME = KInterfaceDesigner Library
#include ../../../Doxyfile.am

=== parts/appwizard/imports/CMakeLists.txt ===

INSTALL_FILES(/share/apps/kdevappwizard/importfiles ".+\\.kdevelop")
INSTALL_FILES(/share/apps/kdevappwizard/imports FILES
c-auto cpp-auto fortran-auto java-auto kde gnome c cpp fortran python
php perl java java-ant qttmake qtqmake ruby pascal ada )

#original Makefile.am contents follow:

#appwizarddatadir = ${kde_datadir}/kdevappwizard
#importsdir = ${appwizarddatadir}/imports
#importfilesdir = ${appwizarddatadir}/importfiles
#
#imports_DATA = c-auto cpp-auto fortran-auto java-auto kde gnome                    c cpp fortran python php perl java java-ant qttmake qtqmake ruby pascal ada
#importfiles_DATA = c-auto.kdevelop cpp-auto.kdevelop fortran-auto.kdevelop 		   java-auto.kdevelop kde.kdevelop gnome.kdevelop 		   c.kdevelop cpp.kdevelop fortran.kdevelop 		   python.kdevelop php.kdevelop perl.kdevelop 		   java.kdevelop java-ant.kdevelop qttmake.kdevelop qtqmake.kdevelop ruby.kdevelop 		   pascal.kdevelop ada.kdevelop
#

=== parts/documentation/interfaces/CMakeLists.txt ===
SET(documentation_interfaces_LIB_SRCS
kdevdocumentationplugin.cpp
)

KDE_AUTOMOC(${documentation_interfaces_LIB_SRCS})

ADD_LIBRARY(documentation_interfaces SHARED ${documentation_interfaces_LIB_SRCS})



#original Makefile.am contents follow:

#INCLUDES = -I$(top_srcdir)/lib/interfaces -I$(top_srcdir)/lib/util \
#	$(all_includes)
#METASOURCES = AUTO
#partincludedirdir = $(includedir)/kdevelop/parts/documentation
#lib_LTLIBRARIES = libdocumentation_interfaces.la
#libdocumentation_interfaces_la_LDFLAGS = $(all_libraries)
#libdocumentation_interfaces_la_SOURCES = kdevdocumentationplugin.cpp
#partincludedir_HEADERS = kdevdocumentationplugin.h
#servicetypedir = $(kde_servicetypesdir)
#servicetype_DATA = kdevelopdocumentationplugins.desktop
#
#DOXYGEN_REFERENCES = dcop interfaces kdecore kdefx kdeui khtml kmdi kio kjs kparts kutils kdevutil kdevinterfaces
#DOXYGEN_PROJECTNAME = KDevelop Documentation Part Interfaces Library
#DOXYGEN_DOCDIRPREFIX = kdevdoc
#include ../../../Doxyfile.am

#######################
#previous CMakeLists.txt contents follow:

#SET(documentation_interfaces_LIB_SRCS
#kdevdocumentationplugin.cpp
#)
#
#KDE_AUTOMOC(${documentation_interfaces_LIB_SRCS})
#
#ADD_LIBRARY(documentation_interfaces SHARED ${documentation_interfaces_LIB_SRCS})
#

## kdevelop 4.0.0

=== debian/changelog ===
kdevelop (4:4.0.0-0ubuntu1) lucid-backports; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Apr 2010 12:21:45 +0100

kdevelop (4:3.10.2-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream beta release
  * Add translations to kdevelop-data.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Apr 2010 17:20:00 +0200

kdevelop (4:3.9.99-0ubuntu1~ppa3) lucid; urgency=low

  * Update 10_private_libs_soversion.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Mar 2010 12:47:52 +0000

kdevelop (4:3.9.99-0ubuntu1~ppa2) lucid; urgency=low

  * Don't use old version number

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Mar 2010 21:54:35 +0000

kdevelop (4:3.9.99-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Mar 2010 00:28:17 +0000

kdevelop (4:3.9.98-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Build against kdevplatform 3.9.98
    - Refresh 10_private_libs_soversion.diff
    - Update kdevelop.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 04:48:19 +0100

kdevelop (4:3.9.97a-0ubuntu1) lucid; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Dec 2009 12:49:50 +0000

kdevelop (4:3.9.97-0ubuntu1) lucid; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Dec 2009 21:27:24 +0000

kdevelop (4:3.9.96-0ubuntu1) lucid; urgency=low

  * Sync with Debian experimental
  * New upstream release:
    - Drop the version correction patch, not needed for upstream version
    - Bump build-depend versions
    - Update .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 04 Nov 2009 09:59:31 -0500

kdevelop (4:3.9.95-0ubuntu3) karmic; urgency=low

  * Add kubuntu_01_fix_gdb_ver_check.diff from upstream to fix compatibility
    with gdb 7.0 (LP: #450462)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 13 Oct 2009 12:02:39 -0400

kdevelop (4:3.9.95-2) experimental; urgency=low

  * Add patch to fix kdevelop version.

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 Aug 2009 09:24:47 +0200

kdevelop (4:3.9.95-0ubuntu2) karmic; urgency=low

  * Fix 10_private_libs_soversion.diff to prevent FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 22 Aug 2009 19:53:34 -0400

kdevelop (4:3.9.95-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Fixes LP: #407526
  * Merge from Debian Experimental, remaining changes:
    - Conflict/replace on old -kde4 packages, this can go away in karmic+1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 22 Aug 2009 15:48:51 -0400

kdevelop (4:3.9.95-1) experimental; urgency=low

  * New upstream release (beta 5).
  * Update debian/kdevelop-data.install: remove usr/share/icons/* entry.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 Aug 2009 11:31:57 +0200

kdevelop (4:3.9.94+svn1010123-1) experimental; urgency=low

  * New snapshot from svn revision 1010123.

  +++ Changes by Frederik Schwarzer:

  * Fix typos and casing in packages descriptions.

 -- Fathi Boudra <fabo@debian.org>  Tue, 11 Aug 2009 15:57:35 +0200

kdevelop (4:3.9.94-1ubuntu1) karmic; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Conflict/replace -kde4 packages
    - Remove gdb from recommends, version >= 6.8.50 is not yet in Ubuntu

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 28 Jun 2009 20:48:13 +0200

kdevelop (4:3.9.94-1) experimental; urgency=low

  * New upstream release.
  * Add Recommends on:
    - gdb >= 6.8.50. It is the minimal requirement.
    - valgrind
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Tue, 02 Jun 2009 21:43:19 +0200

kdevelop (4:3.9.93-1ubuntu1) karmic; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Conflict/replace -kde4 packages

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 25 May 2009 19:34:26 -0400

kdevelop (4:3.9.93-1) experimental; urgency=low

  * New upstream release.
  * Add kdebase-workspace-dev build dependency.
    It's needed for ksysguard widget.
  * Bump kdevplatform build dependency from 0.9.92 to 0.9.93.
  * Refresh 10_private_libs_soversion.diff patch:
    qmake project manager is removed upstream.
  * Update debian/kdevelop-data.install:
    qmake builder and qtdesigner are removed upstream.

 -- Fathi Boudra <fabo@debian.org>  Sun, 24 May 2009 13:14:49 +0200

kdevelop (4:3.9.92-1) experimental; urgency=low

  * Initial upload of kdevelop 4 to experimental (Closes: #481832).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 27 Apr 2009 08:18:04 +0200

kdevelop-kde4 (4:3.9.91-0ubuntu2) jaunty; urgency=low

  * Add kdevplatform to depends so plugins work (LP: #326342)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Feb 2009 18:02:03 -0500

kdevelop-kde4 (4:3.9.91-0ubuntu1) jaunty; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Feb 2009 14:50:09 +0000

kdevelop-kde4 (4:3.9.90-0ubuntu1) jaunty; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jan 2009 12:05:37 +0000

kdevelop (4:3.5.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patches included upstream:
    + 02_fix_build_output_view.diff
  * Remove obsolete Conflicts / Replaces on kdevelop3-*.
  * Update to Standards-Version 3.8.0 (no changes).
  * Revert automake (>= 1:1.10) to automake1.9.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 12 Jun 2008 21:43:25 +0200

kdevelop (4:3.5.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches included upstream:
    + 02_fix_desktop_entries.diff
    + 03_fix_user_interface_lag.diff
    + 04_fix_click_on_error.diff
  * Add patch for lines disappearing from build output view.
  * Fix watch file (Closes: #462822).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 03 Apr 2008 09:38:42 +0200



=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: cdbs, debhelper (>= 7), quilt, cmake, pkg-kde-tools,
 kdevplatform-dev (>= 1.0.0), kdebase-workspace-dev (>= 4:4.3.0)
Standards-Version: 3.8.3
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop

Package: kdevelop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kdevelop-data (>= ${source:Version}),
 lcov
Recommends: gdb (>= 6.8.50), valgrind
Description: integrated development environment for KDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.

Package: kdevelop-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Architecture: any
Depends: ${misc:Depends}, kdevelop (= ${binary:Version}),
 kdelibs5-dev, kdevplatform-dev
Description: development files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.

## kdevelop 4.0.1

=== debian/changelog ===
kdevelop (4:4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add localization packages: Finnish (fi), Dutch (nl), Slovenian (sl) and
    Thai (th).
  * Update debian/control:
    - bump Standards-Version to 3.9.0 (no changes needed).
    - bump kdevplatform-dev and kdebase-workspace-dev build dependency version.
    - add shared-mime-info build dependency.
    - comment turkish localization package, not shipped in this release.
  * Update debian/rules: remove workaround for FindKDE4Internal.cmake default
    rpath value, fixed in kdelibs5-dev 4.4.1.

 -- Fathi Boudra <fabo@debian.org>  Fri, 23 Jul 2010 20:08:00 +0300

kdevelop (4:4.0.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #579947, #481832).
  * Acknowledge obsolete NMU fixes (Closes: #562410, #546961).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 05 May 2010 07:21:55 +0200

kdevelop (4:4.0.0-1) experimental; urgency=low

  * New upstream release (Closes: #579947, #481832).
  * Update debian/control:
    - Bump kdevplatform-dev build dependency version.
  * Acknowledge obsolete NMU fixes (Closes: #562410, #546961).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 04 May 2010 08:12:22 +0200

kdevelop (4:3.10.2-1) experimental; urgency=low

  * New upstream release.
  * Add localizations packages.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Apr 2010 13:43:11 +0300

kdevelop (4:3.10.0-1) experimental; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/copyright: update authors list.
  * Add debian/kdevelop.lintian-overrides: override postinst/postrm errors.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 Apr 2010 11:45:29 +0200

kdevelop (4:3.9.99-1) experimental; urgency=low

  * New upstream release.
  * Update debian/control:
    - Suggests cmake package. (Closes: #561507)
    - Bump kdevplatform-dev build dependency version.

 -- Fathi Boudra <fabo@debian.org>  Thu, 18 Feb 2010 09:43:49 +0100

kdevelop (4:3.9.98-1) experimental; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Remove 10_private_libs_soversion.diff patch.
  * Update debian/control:
    - Bump build dependencies versions (debhelper, pkg-kde-tools and
      kdevplatform-dev).
    - Bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/kdevelop-dev.install file.
  * Update debian/kdevelop.install file.
  * Add debian/kdevelop.lintian-overrides file.
  * Update debian/rules: pass -DCMAKE_SKIP_RPATH=ON
    to workaround FindKDE4Internal.cmake default rpath value.

  [ Modestas Vainius ]
  * Fix Vcs-Browser URL.

 -- Fathi Boudra <fabo@debian.org>  Thu, 11 Feb 2010 16:48:26 +0100

kdevelop (4:3.9.97-1) experimental; urgency=low

  * New upstream release.
  * Drop 01_kdevelop_r1044086.diff and 02_kdevelop_r1044721.diff patches.
  * Update debian/kdevelop-data.install: remove valgrind plugin.

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Dec 2009 20:47:28 +0100

kdevelop (4:3.9.96-1) experimental; urgency=low

  * New upstream release.
  * Add 01_kdevelop_r1044086.diff and 02_kdevelop_r1044721.diff patches.
  * Remove kdevelop version fix.
  * Update debian/kdevelop-data.install: re-add usr/share/icons/* entry and
    update installed files.

 -- Fathi Boudra <fabo@debian.org>  Thu, 12 Nov 2009 16:34:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: cdbs, debhelper (>= 7), quilt, cmake, pkg-kde-tools,
- kdevplatform-dev (>= 1.0.0), kdebase-workspace-dev (>= 4:4.3.0)
-Standards-Version: 3.8.3
+Build-Depends: cdbs, debhelper (>= 7.4.15), quilt, cmake, pkg-kde-tools (>= 0.6.4),
+ kdevplatform-dev (>= 1.0.1), kdebase-workspace-dev (>= 4:4.4.1), shared-mime-info
+Standards-Version: 3.9.0
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop/#_trunk_packages_kdevelop_
 Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop
 
 Package: kdevelop
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, kdevelop-data (>= ${source:Version}),
  lcov
-Recommends: gdb (>= 6.8.50), valgrind
+Recommends: gdb (>= 7.0), valgrind
+Suggests: cmake, kdevelop-l10n
 Description: integrated development environment for KDE
  KDevelop is an easy to use integrated development environment for KDE.
  It supports a wide range of programming languages and features project
@@ -50,3 +50,224 @@
  for terminal programs and GUI programs using Qt, KDE or GNOME.
  .
  This package contains development files for KDevelop.
+
+Package: kdevelop-l10n-ca
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-ca
+Provides: kdevelop-l10n
+Description: Catalan (ca) localization files for the KDevelop IDE
+ This package contains the Catalan translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-cavalencia
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-cavalencia
+Provides: kdevelop-l10n
+Description: Southern Catalan (Valencian) (ca@valencia) files for the KDevelop IDE
+ This package contains the Southern Catalan (Valencian) translations
+ for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-da
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-da
+Provides: kdevelop-l10n
+Description: Danish (da) localization files for the KDevelop IDE
+ This package contains the Danish translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-de
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-de
+Provides: kdevelop-l10n
+Description: German (de) localization files for the KDevelop IDE
+ This package contains the German translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-engb
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-engb
+Provides: kdevelop-l10n
+Description: British English (en_GB) localization files for the KDevelop IDE
+ This package contains the British English translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-es
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-es
+Provides: kdevelop-l10n
+Description: Spanish (es) localization files for the KDevelop IDE
+ This package contains the Spanish translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-et
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-et
+Provides: kdevelop-l10n
+Description: Estonian (et) localization files for the KDevelop IDE
+ This package contains the Estonian translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-fi
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-fi
+Provides: kdevelop-l10n
+Description: Finnish (fi) localization files for the KDevelop IDE
+ This package contains the Finnish translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-fr
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-fr
+Provides: kdevelop-l10n
+Description: French (fr) localization files for the KDevelop IDE
+ This package contains the French translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-gl
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-gl
+Provides: kdevelop-l10n
+Description: Galician (gl) localization files for the KDevelop IDE
+ This package contains the Galician translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-it
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-it
+Provides: kdevelop-l10n
+Description: Italian (it) localization files for the KDevelop IDE
+ This package contains the Italian translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-nds
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-nds
+Provides: kdevelop-l10n
+Description: Low Saxon (nds) localization files for the KDevelop IDE
+ This package contains the Low Saxon translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-nl
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-nl
+Provides: kdevelop-l10n
+Description: Dutch (nl) localization files for the KDevelop IDE
+ This package contains the Dutch translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-pt
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-pt
+Provides: kdevelop-l10n
+Description: Portugese (pt) localization files for the KDevelop IDE
+ This package contains the Portugese translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-ptbr
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-ptbr
+Provides: kdevelop-l10n
+Description: Brazilian Portugese (pt_BR) localization files for the KDevelop IDE
+ This package contains the Brazilian Portugese translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-sl
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-sl
+Provides: kdevelop-l10n
+Description: Slovenian (sl) localization files for the KDevelop IDE
+ This package contains the Slovenian translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-sv
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-sv
+Provides: kdevelop-l10n
+Description: Swedish (sv) localization files for the KDevelop IDE
+ This package contains the Swedish translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-th
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-th
+Provides: kdevelop-l10n
+Description: Thai (th) localization files for the KDevelop IDE
+ This package contains the Thai translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+#Package: kdevelop-l10n-tr
+#Section: localization
+#Architecture: all
+#Recommends: kdevplatform-l10n-tr
+#Provides: kdevelop-l10n
+#Description: Turkish (tr) localization files for the KDevelop IDE
+# This package contains the Turkish translations for KDevelop.
+# .
+# This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-uk
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-uk
+Provides: kdevelop-l10n
+Description: Ukrainian (uk) localization files for the KDevelop IDE
+ This package contains the Ukrainian translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-zhcn
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-zhcn
+Provides: kdevelop-l10n
+Description: Chinese Simplified (zh_CN) localization files for the KDevelop IDE
+ This package contains the Chinese Simplified translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+
+Package: kdevelop-l10n-zhtw
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-zhtw
+Provides: kdevelop-l10n
+Description: Chinese Traditional (zh_TW) localization files for the KDevelop IDE
+ This package contains the Chinese Traditional translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

binary-install/kdevelop::
	install -D -p -m0644 debian/kdevelop.xpm \
		debian/kdevelop/usr/share/pixmaps/kdevelop.xpm

# Work around a conflict with kapptemplate
binary-install/kdevelop-data::
	find debian/$(cdbs_curpkg) -type f -name qmake_qt4guiapp.tar.bz2 | xargs rm -f

## kdevelop 4.0.2

=== app/CMakeLists.txt ===
########### next target ###############

find_package(SharedMimeInfo REQUIRED)

set(kdevelop_SRCS main.cpp)
kde4_add_app_icon(kdevelop_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kdevelop.png")

kde4_add_executable(kdevelop ${kdevelop_SRCS} )

set(kdevelop_bin_SRCS
    main_internal.cpp
    kdevideextension.cpp
)

target_link_libraries(kdevelop
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${QT_QTDESIGNER_LIBRARY} )
install(TARGETS kdevelop ${INSTALL_TARGETS_DEFAULT_ARGS} )

kde4_add_app_icon(kdevelop_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kdevelop.png")

kde4_add_executable(kdevelop.bin ${kdevelop_bin_SRCS})

if (Q_WS_MAC)
	#sets MacOSX bundle properties for all targets in this cmake file
	#make those assignments target-dependent when cmake 2.6 is useful on MacOSX
	set(MACOSX_BUNDLE_BUNDLE_NAME KDevelop)
	set(MACOSX_BUNDLE_BUNDLE_VERSION "4.0")
	set(MACOSX_BUNDLE_COPYRIGHT "KDevelop Team")
endif (Q_WS_MAC)

target_link_libraries(kdevelop.bin
	${KDE4_KDECORE_LIBS}
	${KDEVPLATFORM_INTERFACES_LIBRARIES}
	${KDEVPLATFORM_SHELL_LIBRARIES}
	${KDE4_KIO_LIBS}
	${KDE4_KUTILS_LIBS}
	${KDE4_KPARTS_LIBS}
	${KDE4_KNOTIFYCONFIG_LIBS}
	${KDE4_KTEXTEDITOR_LIBS}
	${KDE4_THREADWEAVER_LIBRARIES}
	${QT_QTDESIGNER_LIBRARY} )
install(TARGETS kdevelop.bin ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES kdevelop.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kdeveloprc DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES kdevelopui.rc katepartui.rc kdevelop.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdevelop )
install( FILES kdevelop.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )

=== debian/changelog ===
kdevelop (4:4.0.2-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_appmenu_fix.diff by Aurélien Gâteau to make KDevelop work
    with appmenu.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 15 Sep 2010 17:16:47 +0200

kdevelop (4:4.0.2-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump kdevplatform-dev build dependency
    - Add localization package: Russian (ru)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 20:41:59 +0200

kdevelop (4:4.0.1-1ubuntu3) maverick; urgency=low

  * Remove unused dependency on lcov

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Aug 2010 12:28:38 +0100

kdevelop (4:4.0.1-1ubuntu2) maverick; urgency=low

  * Disable parallel building to fix FTBFS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 03 Aug 2010 15:31:02 +0200

kdevelop (4:4.0.1-1ubuntu1) maverick; urgency=low

  * Set export KUBUNTU_DESKTOP_POT=extragear-sdk_kdevelop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:22:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kdevelop
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
 Build-Depends: cdbs, debhelper (>= 7.4.15), quilt, cmake, pkg-kde-tools (>= 0.6.4),
- kdevplatform-dev (>= 1.0.1), kdebase-workspace-dev (>= 4:4.4.1), shared-mime-info
+ kdevplatform-dev (>= 1.0.2), kdebase-workspace-dev (>= 4:4.4.1), shared-mime-info
 Standards-Version: 3.9.0
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop/#_trunk_packages_kdevelop_
@@ -12,8 +13,7 @@
 
 Package: kdevelop
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, kdevelop-data (>= ${source:Version}),
- lcov
+Depends: ${misc:Depends}, ${shlibs:Depends}, kdevelop-data (>= ${source:Version})
 Recommends: gdb (>= 7.0), valgrind
 Suggests: cmake, kdevelop-l10n
 Description: integrated development environment for KDE
@@ -199,6 +199,16 @@
 Provides: kdevelop-l10n
 Description: Brazilian Portugese (pt_BR) localization files for the KDevelop IDE
  This package contains the Brazilian Portugese translations for KDevelop.
+ .
+ This package is part of the KDevelop IDE.
+ 
+Package: kdevelop-l10n-ru
+Section: localization
+Architecture: all
+Recommends: kdevplatform-l10n-ru
+Provides: kdevelop-l10n
+Description: Russian (ru) localization files for the KDevelop IDE
+ This package contains the Russian translations for KDevelop.
  .
  This package is part of the KDevelop IDE.

## kdevelop 4.2.2

=== debian/changelog ===
kdevelop (4:4.2.2-0ubuntu2) natty; urgency=low

  * Remove kdevelop-l10n from Suggests, since it
    does not exist anymore

 -- Romain Perier <romain.perier@gmail.com>  Wed, 20 Apr 2011 19:34:42 +0200

kdevelop (4:4.2.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Build dep on kdevplatform >= 1.2.2
    - refresh kdevelop-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 15:56:04 +0200

kdevelop (4:4.2.0-0ubuntu1) natty; urgency=low

  * Bump up kdevplatform-dev dep

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Jan 2011 19:56:19 +0100

kdevelop (4:4.2.0-0ubuntu1~ppa1) natty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Jan 2011 19:17:58 +0100

kdevelop (4:4.1.90-0ubuntu1~ppa2) natty; urgency=low

  * New upstream release 
    - Build-dep on kdevplatform-dev >= 1.1.90
    - Build depend on okteta-dev
    - Refresh kdevelop-data.install

 -- Philip Muskovac <yofel@gmx.net>  Fri, 14 Jan 2011 00:07:12 +0100

kdevelop (4:4.1.80-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump kdevplatform-dev build dependency
  * Removed localization packages

 -- Bhargav Mangipudi <bhargav.1191@gmail.com>  Fri, 17 Dec 2010 00:17:32 +0530

kdevelop (4:4.1.1-0ubuntu1) natty; urgency=low

  * New upstream release
    - Disable kdevelop-l10n-fr, removed upstream

 -- Philip Muskovac <yofel@gmx.net>  Mon, 29 Nov 2010 22:44:35 +0100

kdevelop (4:4.1.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Refresh kubuntu_01_appmenu_fix.diff
    - Disable kdevelop-l10n-fr, is empty
    - Update kdevelop.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 00:54:53 +0200

=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: cdbs, debhelper (>= 7.4.15), quilt, cmake, pkg-kde-tools (>= 0.9),
 kdevplatform-dev (>= 1.2.2), kdebase-workspace-dev (>= 4:4.5), shared-mime-info,
 okteta-dev
Standards-Version: 3.9.0
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdevelop/#_trunk_packages_kdevelop_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdevelop

Package: kdevelop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kdevelop-data (>= ${source:Version})
Recommends: gdb (>= 7.0), valgrind
Suggests: cmake
Description: integrated development environment for KDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.

Package: kdevelop-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Architecture: any
Depends: ${misc:Depends}, kdevelop (= ${binary:Version}),
 kdelibs5-dev, kdevplatform-dev
Description: development files for the KDevelop IDE
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
+export KUBUNTU_DESKTOP_POT=extragear-sdk_kdevelop
+
 include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
+
+# disable parallel building as it fails on the archive buildds
+DEB_BUILD_PARALLEL=
 
 binary-install/kdevelop::
 	install -D -p -m0644 debian/kdevelop.xpm \
